#ifndef MONET_MAP_LABEL_H
#define MONET_MAP_LABEL_H

typedef enum {
  label_short  = 0,	/* Just title  */
  label_full   = 1,	/* Full drawing title including class */
  label_attribute = 2,
  label_abbrev = 3,
  label_none  = 4
  }
MonetLabelState;

#define  label_default	label_short
#define label_first label_short
#define label_last  label_attribute

extern void Drawing_reset_list_label
  PR((Drawing));
extern String MonetLabelState2String
  PR((LabelState));
extern char * Drawing_primary_label
  PR((Drawing drawing));
extern char * Drawing_secondary_label
  PR((Drawing drawing));
extern void Drawing_toggle_label
  PR((Drawing drawing));
extern void Drawing_reset_labels
  PR((Drawing drawing));
extern void Drawing_set_label
  PR((Drawing d, char * label));

#endif
