/*****************************************************************************/
/*****************************************************************************/
/* $Header: //gaia/group.local/computer/monet/lib/general/RCS/general.c,v 1.2 1991/07/10 12:50:54 a38 Exp a38 $ */
/*****************************************************************************/
/*****************************************************************************/

#ifndef  MONET_ENTITY_STACK_H
#define  MONET_ENTITY_STACK_H

typedef struct monet_entity_stack * MonetEntityStack;
typedef struct monet_stack_entry * MonetStackEntry;

extern MonetEntityStack MonetEntityStack_create
  PR((void));

extern void MonetEntityStack_free
  PR((MonetEntityStack));

extern void MonetEntityStack_push
  PR((MonetEntityStack, MonetEntity));

extern MonetEntity MonetEntityStack_pop
  PR((MonetEntityStack));

extern MonetEntity MonetEntityStack_top
  PR((MonetEntityStack));

extern MonetEntity MonetEntityStack_next
  PR((MonetEntityStack));

extern void MonetEntityStack_remove
  PR((MonetEntityStack, MonetEntity));

extern void MonetStack_free_entity
  PR((MonetEntity));

extern monet_entity_stack_init
  PR((void));

extern monet_entity_stack_finish
  PR((void));

#endif

/*****************************************************************************/
/*****************************************************************************/
/* $Header: //gaia/group.local/computer/monet/lib/general/RCS/general.c,v 1.2 1991/07/10 12:50:54 a38 Exp a38 $ */
/*****************************************************************************/
/*****************************************************************************/
