
#ifndef MONET_LOG_H
#define MONET_LOG_H

typedef struct monet_log   * MonetLog;

extern MonetLog MonetDefaultLog PR((void));

extern MonetLog MonetLog_create
  PR((char * name, int maxsize, int append));
extern void MonetLog_free			PR((MonetLog));
extern void MonetLog_write			PR((MonetLog, char *, char *, ...));
extern void MonetLog_write_comment		PR((MonetLog, char *, ...));
extern void MonetLog_write_timestamped
  PR((MonetLog, char * type, char *, ...));
extern void MonetLog_flush			PR((MonetLog));

#endif
