#ifndef MONET_PROBE_H
#define MONET_PROBE_H

#include <monet/msh/Channel.h>

/**********************************************************/
/*  X.25  */
/**********************************************************/

typedef struct monet_lookup_x25 * MonetLookupX25;
	
extern MonetLookupX25 host2x121 PR ((String host));

static struct monet_lookup_x25 {
	char *host, * address;
	int addrlen;
	char * userdata;
	int userdatalen;
	MonetLookupX25 next;
};

extern void MonetProbe_x25_init PR((void));
extern void MonetProbe_x25_finish PR((void));
extern void MonetX25Lookup_finish PR((void));
extern void MonetX25Lookup_init PR((void));
extern void MonetX25Lookup_periodic_check_file PR((void));
extern char * MonetSnmpTrap2Name PR((char * name));
extern int MonetSnmpTrap2int PR((char * name));

#endif

