#ifndef MONET_MAP_BACKUP_H
#define MONET_MAP_BACKUP_H

typedef struct backup * Backup;

#define MAXMAPLINELEN 1024
#define MAPSPACEALLOCATION MAXMAPLINELEN * 16

extern Backup Backup_create
  PR((void));

extern void Backup_free
  PR((Backup));

extern void Map_free_backup
  PR((Map map));

extern Map_backup_selected
  PR((Map));

extern Drawing_backup
  PR((Drawing));

extern void Map_backup
  PR((Map));

extern void Map_restore
  PR((Map));

extern unsigned Drawing_write
  PR((Drawing, char **in_result, unsigned *len, unsigned *available));

#endif
