/***************************************************************/
/***************************************************************/
/*  $Header$  */
/***************************************************************/
/***************************************************************/

#ifndef MONET_MAP_LINES_H
#define MONET_MAP_LINES_H

typedef struct monet_connecting_line * MonetConnectingLine;

extern MonetBool Prepare_connecting_lines
  PR((Drawing));
extern void Draw_connecting_lines
  PR((Drawing, MonetBool undraw));

extern MonetConnectingLine MonetConnectingLine_create
  PR((void));
extern void MonetConnectingLine_free
  PR((Drawing interface));

extern void MonetConnectingLine_enable
  PR((Drawing interface, MoneBool enable));

extern void MonetConnectingLine_draw
  PR((MonetConnectingLine line, Drawing interface));
extern void MonetConnectingLine_set
  PR((ConnectingLine, int, int));
extern void Drawing_remove_connections
  PR((Drawing, Map previous));

extern void choose_midpoint_attachment
  PR((Drawing mid, Drawing sys1, Drawing sys2, Position *x, Position *y));
extern void choose_midpoint_position
  PR((Drawing sys1, Drawing sys2, Position *x, Position *y));
extern void Monet_choose_attachment
  PR((border_x, border_y, Drawing from, Drawing to,
      Position *xl, Position *yl, Position *xr, Position *yr,
      MonetBool *straight, MonetBool *xstraight, Dimension *length));
extern MonetBool get_newInterfacePosition
  PR((Map, Drawing interface, Position *x, Position *y));

#endif

/***************************************************************/
/***************************************************************/
/*  $Header$  */
/***************************************************************/
/***************************************************************/
