#ifndef MONET_CONTEXT_H
#define MONET_CONTEXT_H

extern MonetMember MonetContext_executing_member
  PR((MonetMember member));
extern FILE * MonetContext_in
  PR((void));
extern FILE * MonetContext_err
  PR((void));
extern FILE * MonetContext_out
  PR((void));
extern FILE * MonetContext_set_in
  PR((FILE *));
extern FILE * MonetContext_set_err
  PR((FILE *));
extern FILE * MonetContext_set_out
  PR((FILE *));
extern void MonetContext_set_trace
  PR((char * pattern));
extern char * MonetContext_get_trace
  PR((void));
extern MonetBool MonetContext_trace
  PR((MonetStr id));
extern MonetEntityStack MonetLocalStack
  PR((void));
extern MonetEntity MonetLocalStackTop
  PR((void));
extern MonetEntity MonetGlobal
  PR((void));
extern MonetEntityStack MonetUseStack
  PR((void));
extern void MonetContext_eval
  PR((char *));

#endif

