/*****************************************************************************/
/*****************************************************************************/
/* $Header: //gaia/group.local/computer/monet/lib/general/RCS/general.c,v 1.2 1991/07/10 12:50:54 a38 Exp a38 $ */
/*****************************************************************************/
/*****************************************************************************/

#ifndef  MONET_ENTITY_LIST_H
#define  MONET_ENTITY_LIST_H

#include <monet/msh/Entity.h>
#include <monet/msh/OrdSet.h>

/***************************************************************************/
/*  Lists of entities, these are created from a generic list module.       */
/***************************************************************************/

typedef MonetOrdSet MonetEntityList;
#define NULL_OL  (MonetEntityList) 0

#define extract_entityList(list,o)	extract_MonetOrdSet (list, (caddr_t) o)
#define create_entityList()		(MonetEntityList) create_MonetOrdSet ()
#define reset_entityList(list)		reset_MonetOrdSet (list)
#define free_entityList(list)		free_MonetOrdSet (list)
#define insert_entityList(list, o)	insert_MonetOrdSet(list, (caddr_t) o)
#define isEmpty_entityList(list)	isEmpty_MonetOrdSet(list)
#define getN_entityList(list, n)	(MonetEntity) getN_MonetOrdSet(list,n)
#define first_entityList(list)		(MonetEntity) first_MonetOrdSet(list)
#define next_entityList(list)		(MonetEntity) next_MonetOrdSet(list)
#define sizeOf_entityList(list) 	sizeOf_MonetOrdSet(list)
#define second_entityList(list)		(MonetEntity) second_MonetOrdSet(list)
#define isMember_entityList(list, o)	isMember_MonetOrdSet(list, (caddr_t) o)

#define FOR_ENTITYLIST(o, list) FOR_ORDSET(o, (list), MonetEntity)

extern String MonetEntityList2String PR ((MonetEntityList));
extern MonetEntityList String2MonetEntityList PR ((String));

#endif

/*****************************************************************************/
/*****************************************************************************/
/* $Header: //gaia/group.local/computer/monet/lib/general/RCS/general.c,v 1.2 1991/07/10 12:50:54 a38 Exp a38 $ */
/*****************************************************************************/
/*****************************************************************************/
