/***************************************************************/
/***************************************************************/
/*  $Header$  */
/***************************************************************/
/* List handling  members */
/***************************************************************/

#ifndef MONET_LINKLIST_H
#define MONET_LINKLIST_H

#define LIST_REVERSE(Type, Old, New, next) { \
  New = (Type) 0; \
  while (Old) { \
    Type n; \
    n = Old; \
    Old = Old->next; \
    LIST_ADD(n, New, next); \
  } \
}

#define FORALL(v,head,next) for (v=(head); (v)!=NULL; v=(v->next))
#define LIST_ADD(new,head,next) { if (head==NULL) {new->next=NULL;} else {new->next=head;}; head=new;}
#define LIST_DEL(type, old,head,next) \
		if (head == old) \
			head = old->next; \
		else { \
			type v; \
			FORALL(v,head,next) \
				if (v->next == old) { \
					v->next = old->next; \
					break; \
				} \
		} \
		old->next = NULL;

#endif

/***************************************************************/
/***************************************************************/
/*  $Header$  */
/***************************************************************/
/***************************************************************/
