/***************************************************************/
/***************************************************************/
/*  $Header$  */
/***************************************************************/
/***************************************************************/

#ifndef MONET_STRING_FIFO_H
#define MONET_STRING_FIFO_H

typedef struct monet_string_fifo * MonetStrFifo;

extern MonetStrFifo MonetStrFifo_create
  PR((void));
extern void      MonetStrFifo_free
  PR((MonetStrFifo));

extern MonetBool    MonetStrFifo_push
  PR((MonetStrFifo, char *, unsigned len));
extern MonetBool    MonetStrFifo_push_on_top
  PR((MonetStrFifo, char *, unsigned len));
extern String    MonetStrFifo_pop
  PR((MonetStrFifo, unsigned *len));
extern String    MonetStrFifo_top
  PR((MonetStrFifo, unsigned *len));

extern void MonetStrFifo_help
  PR((void));

/***************************************************************/
/*  Init and finish  */
/***************************************************************/

extern void MonetStrFifo_init
  PR((void));
extern void      MonetStrFifo_finish
  PR((void));

#endif

/***************************************************************/
/***************************************************************/
/*  $Header$  */
/***************************************************************/
/***************************************************************/
