



#ifndef MONET_DRAW_X11_H
#define MONET_DRAW_X11_H

#include <monet/draw/Draw.h>

/***********************************************************************/

/***********************************************************************/

extern DrawLibrary DrawX11Lib;

extern void init_drawX11	PR((Widget));
extern void finish_drawX11	PR((void));
extern MonetBool start_draw_X11
  PR((Widget, Position x, Position y,
   float x_scale, float y_scale, Region clip_region, MonetBool batch));

/*  Can't use position in prototype unless using full ansi-c  */
/*typedef void ( * XioDragCallback) PR((Position, Position)); */
typedef MonetBool ( * XioDragCallback) PR((int, int, int, int));

extern MonetBool	Xio_rubberband_drag
  PR ((Widget widget,
   unsigned grid_x, unsigned grid_y,
   XioDragCallback drag, XioDragCallback done, XEvent * event));
extern MonetBool	Xio_rubberband_makebox
  PR ((Widget widget,
   unsigned grid_x, unsigned grid_y,
   Position *xloc, Position *yloc,
   Dimension *width, Dimension *height, MonetBool elipse,
   XEvent * event));
extern MonetBool	Xio_rubberband_drag_rectangle
  PR ((Widget widget,
   unsigned grid_x, unsigned grid_y,
   Position *xloc, Position *yloc,
   Dimension w, Dimension h, MonetBool elipse,
   XEvent * event));

#endif
